View Issue Details

IDProjectCategoryView StatusLast Update
0000554OpenMPT[All Projects] Feature Requestpublic2018-04-03 14:50
Reporter404notfoundAssigned ToSaga Musix 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version 
Target VersionOpenMPT 1.28.01.00 (goals)Fixed in VersionOpenMPT 1.28.01.00 (goals) 
Summary0000554: Trimming for non-looping samples
Description

Requesting feature that plays song once and a little bit while capturing maximum reached position for all samples and then trimming them accordingly.
Optionally, have adjustable length to leave out of trimming.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2018-03-28 12:43

administrator   ~0003489

Last edited: 2018-03-28 13:34

View 2 revisions

Implemented in r10011 / OpenMPT 1.28.00.16, soon available from https://builds.openmpt.org/

You can find the feature in the menu Edit -> Automatic Sample Trimmer.

It silently plays the whole song (including hidden subsongs, if there are any), tracking how much of each sample is played. Sample parts that are played at zero volume are also optimized away. Samples that are never played are not optimized away (this includes samples on muted channels). Those can already be removed automatically using the Cleanup dialog.

The feature is still experimental, so please let me know here if you find that it doesn't optimize correctly.

Issue History

Date Modified Username Field Change
2014-06-26 15:24 404notfound New Issue
2018-03-27 18:54 Saga Musix Assigned To => Saga Musix
2018-03-27 18:54 Saga Musix Status new => assigned
2018-03-27 18:54 Saga Musix Target Version => OpenMPT 1.28.01.00 (goals)
2018-03-28 12:43 Saga Musix Note Added: 0003489
2018-03-28 12:44 Saga Musix Status assigned => feedback
2018-03-28 13:34 Saga Musix Note Edited: 0003489 View Revisions
2018-04-03 14:50 Saga Musix Status feedback => resolved
2018-04-03 14:50 Saga Musix Resolution open => fixed
2018-04-03 14:50 Saga Musix Fixed in Version => OpenMPT 1.28.01.00 (goals)